Package net.shibboleth.utilities.java.support.net

# Class IPRange

java.lang.Object
net.shibboleth.shared.net.IPRange
net.shibboleth.utilities.java.support.net.IPRange

@Deprecated(since="9.0.0", forRemoval=true) public class IPRange extends IPRange
Deprecated, for removal: This API element is subject to removal in a future version.
Represents a range of IP addresses.

## Constructor Summary

Constructors
Constructor
Description
`IPRange(byte[] address, int maskSize)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
`IPRange(InetAddress address, int maskSize)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static IPRange`
`parseCIDRBlock(String cidrBlock)`
Deprecated, for removal: This API element is subject to removal in a future version.
Parses a CIDR block definition in to an IP range.

### Methods inherited from class net.shibboleth.shared.net.IPRange

`contains, contains, equals, getHostAddress, getNetworkAddress, hashCode, toBitSet`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IPRange

public IPRange(@Nonnull InetAddress address, int maskSize) throws IllegalArgumentException
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `address` - address to base the range on; may be the network address or the address of a host within the network
  `maskSize` - the number of bits in the netmask
Throws:
  `IllegalArgumentException` - if the address or mask are invalid

### IPRange

public IPRange(@Nonnull byte[] address, int maskSize) throws IllegalArgumentException
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `address` - address to base the range on; may be the network address or the address of a host within the network
  `maskSize` - the number of bits in the netmask
Throws:
  `IllegalArgumentException` - if the address or mask are invalid

## Method Details

### parseCIDRBlock

@Nonnull public static IPRange parseCIDRBlock(@Nonnull @NotEmpty String cidrBlock) throws IllegalArgumentException
Deprecated, for removal: This API element is subject to removal in a future version.
Parses a CIDR block definition in to an IP range.

Parameters:
  `cidrBlock` - the CIDR block definition
Returns:
  the resultant IP range
Throws:
  `IllegalArgumentException` - if expression cannot be parsed